HTTPSamplerBase.SourceType (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.protocol.http.sampler, class: HTTPSamplerBase, enum: SourceType

Package org.apache.jmeter.protocol.http.sampler

# Enum HTTPSamplerBase.SourceType

java.lang.Object
java.lang.Enum<HTTPSamplerBase.SourceType>
org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.SourceType

All Implemented Interfaces:
  `Serializable`, `Comparable<HTTPSamplerBase.SourceType>`, `java.lang.constant.Constable`

Enclosing class:
  HTTPSamplerBase

public static enum HTTPSamplerBase.SourceType extends Enum<HTTPSamplerBase.SourceType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEVICE`
  `DEVICE_IPV4`
  `DEVICE_IPV6`
  `HOSTNAME`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final String`
  `propertyName`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HTTPSamplerBase.SourceType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static HTTPSamplerBase.SourceType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HOSTNAME

    public static final HTTPSamplerBase.SourceType HOSTNAME

  - ### DEVICE

    public static final HTTPSamplerBase.SourceType DEVICE

  - ### DEVICE_IPV4

    public static final HTTPSamplerBase.SourceType DEVICE_IPV4

  - ### DEVICE_IPV6

    public static final HTTPSamplerBase.SourceType DEVICE_IPV6

- ## Field Details

  - ### propertyName

    public final String propertyName

- ## Method Details

  - ### values

    public static HTTPSamplerBase.SourceType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static HTTPSamplerBase.SourceType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null